<?php
// profile.inc.php for diaRice - photo calendar 0.5 en/de 07.09.2007 13:46
// Copyright (c) 2007-2009 Michael Daum,  visit http://webdaum.de/


include_once ('calendar.inc.php');

class profile extends calendar {

  var $rights;
  var $skin;
  var $data = array();
  
  function profile(
	$user_name='',
	$first_name='',
	$last_name='',
	$email='',
	$residence='',
	$website='',
	$rights='user',
	$media='',
	$text='',
	$language='',
	$skin='' ) {
				
		// make profile inherit all the properties of the parent class:				
		$this->calendar();
		$this->user_name = $this->c_clean_input($user_name);
		$this->first_name = $this->c_clean_input($first_name);
		$this->last_name = $this->c_clean_input($last_name);
		$this->fullname = $this->first_name.' '.$this->last_name;
		$this->email = $email;
		$this->residence  = $residence;
		$this->website = $website=='' && $this->user_name=='admin'?$_SERVER['HTTP_HOST']:$this->c_clean_input($website);
		$this->rights = $rights;
		$this->media = $media;
		$this->text = milder_reiniger($text);
		$this->language = $language==''?C_LANG:$language;
		$this->skin = $skin==''?'css/admin/black.css':$skin;
		$this->type = MENU_PROFILE;
		$this->database = _PATH.'/data/'.get_class($this).'_data.php';
		$this->rel_url = $this->c_go(array('go'=>'people','member'=>$this->user_name),$this->language);
                
        
        if($this->first_name.' '.$this->last_name==$this->c_my_name||$this->user_name=='admin') {
        	$this->give_rights();
        }
	}
		
	function load_data() {
		if(@is_file($this->database)) {
			include $this->database;
			$this->data = &${get_class($this)};
			if(is_array($this->data)) {
				return true;
			} 
		}
	}
  function rewriteData () {
  
  	$output = "<?php\n";
  	foreach ($this->data as $data) {
  		$output.=$data->processData();
  	}
    $output.='?';
    $output.='>';
  	if(file_put_contents($this->database,$output)) {
  		return true;
  	}
  }	
	function give_rights() {
        $this->rights = 'admin';
	}
	function user_name() {
        return $this->user_name;
	}
	function first_name() {
        return $this->first_name;
	}
	function last_name() {
        return $this->last_name;
	}
	function fullname() {
        return $this->fullname;
	}
	function is_admin() {
        if($this->rights = 'admin') return true;
	}
	function take_rights() {
        $this->rights = 'user';
	}
	function is_user() {
        if($this->rights = 'user') return true;
	}

	function key_() {
				global $profile;
        foreach($profile as $key => $val) {
        	if($profile[$key]->user_name==$_SESSION['auth']) {
						$found = $key;
					}
        }
        return $found;
	}
	
	function processData () {
  	return $this->processProfile();
  }
  function processProfile () {
       $ausgabe ="\$profile['".urlencode($this->user_name)."'] = new profile('$this->user_name', '$this->first_name', '$this->last_name', '$this->email', '$this->residence', '$this->website', '$this->rights', '$this->media', '$this->text', '$this->language', '$this->skin'".");\n";
       return $ausgabe;
  }
  function teaser() {
  	return "
<li><a href=\"$this->rel_url\">".
$this->fullname().'</a>
</li>
';
  }

  function media() {  
  	$size = @getimagesize(_PATH."/data/user/$this->user_name/$this->media");
  	
  	if($this->media!='' && isset($size[0])) {
			$out ='<img
src="data/user/'.$this->user_name.'/'.$this->media.'" '.$size[3].
' alt="'.$this->fullname().'" />';
			if(USE_EXT_PEOPLE=='on') {
				$out = '<a href="'.$this->rel_url.'" class="avatar">'.$out.'</a>';
			} else {
				$out = '<span class="avatar">'.$out.'</span>';
			}
			return $out;
		}	
  }
	function build_link() {
	  if($this->website!='http://' && $this->website!='') {
	  
				if(!ereg('^http://',$this->website)){
	  			$this->website='http://' . $this->website;
				}
	  
			$output = '<a href="'.$this->website.'" class="external">'.$this->fullname().'</a>';
		} else {
			$output = $this->fullname();
		}
		return $output;
  }
} // end class profile
?>