<?php
// login.inc.php for diaRice - photo calendar 0.3 en/de 07.09.2007 13:46
// Copyright (c) 2007 Michael Daum,  visit http://webdaum.de/


include_once("calendar.inc.php");

class login extends calendar {

	var $username;
	var $userpass;
	var $userkey;
	var $database;
	var $data = array();
	
	function login($username="anonymous",$userpass="test",$userkey=-1 ) {
	
		$this->username = $username;
		$this->userpass = $userpass;
		$this->userkey  = $userkey;
		$this->database = _PATH."/data/".get_class($this)."_data.php";
		
	} // Ende Konstruktor class login
	
	
	function load_data() {
		if(is_file($this->database)) {
			include $this->database;
			$this->data = &${get_class($this)};
			if(is_array($this->data)) {
				ksort( $this->data, SORT_NUMERIC );
				return true;
			} else return false;
		} else return false;
	}
	
	function login_form () {
	
		if(!isset($_SESSION['auth'])) {
			return '<form method="post" action="?go=login" class="login">
<fieldset>
<dfn>'.DFN_USERNAME.'</dfn><input type="text" name="username"
alt="'.DFN_USERNAME.'" value="" />
<dfn>'.DFN_USERPASSWORD.'</dfn><input type="password" name="passwort"
alt="'.DFN_USERPASSWORD.'" value="" />
<input type="submit" value="'.DFN_LOGIN.'" alt="'.DFN_LOGIN.'" class="submit" />
<input type="submit" value="'.FORGOT_PWD.'" alt="'.FORGOT_PWD.'" class="submit" />
</fieldset>
</form>
';
		}  else {
			return "<p>".LOGGED_IN_AS." $_SESSION[auth]</p>".
				'<p><a href="login/login.php">&hellip;<em>B</em>login&raquo;</a></p>
';	
		}
	} // eingebettetes Formular zum Einloggen
	
	function change_userpass($userkey,$userpass) {
		
		if (strlen($userpass)>4) {
			$this->data[$userkey]->userpass = $userpass;
			$ausgabe = "<?php\n";
  		foreach ($this->data as $data) {
  			$ausgabe.=$data->processData();
  		}
  		$ausgabe.= "?".">";
  		if(file_put_contents($this->database,$ausgabe)) {
  			return true;
  		} else {
				return false;
			}
		} else {
			return false;
		}
		
	} // Benutzerpasswort ndern
	
	function unset_user($userkey=false) {
	
		$userkey=$userkey===false?$this->userkey:$userkey;
		
  	if($this->data[$userkey]->username=="admin") return false;
  	
  	if(isset( $this->data[$userkey]) ) {
			unset ( $this->data[$userkey] );
			
  		$ausgabe = "<?php\n";
  		foreach ($this->data as $data) {
  			$ausgabe.=$data->processData();
  		}
  		$ausgabe.= "?".">";
  		if(file_put_contents($this->database,$ausgabe)) {
  			return true;
  		} else {
				return false;
			}
  	}
		
	} // Benutzer lschen
	
	function check_username($username) {
		
		if (strlen($username)<3) return false;
  	
  	$ok = true;
  	
  	foreach ($this->data as $data) {
  		if ($data->username === $username) {
				return false;
			}
  	}
  	
  	if($ok) {
			return true;
		} else return false;
  	
	} // Benutzername ist bereits vergeben?
	
	function make_login($username,$userpass) {
	  	
  	$ok = false;
  	
  	if(!count($this->data)>0) {
			echo "no data!";
  	}
  	
  	foreach ($this->data as $data) {
  		if ($data->username === $username && $data->userpass === $userpass ) {
				$ok = true;
			}
  	}
  	
  	if($ok) {
			return true;
		} else return false;
  	
	} // Benutzer einloggen
	
	function key($username) {
	
  	foreach ($this->data as $key => $data) {
  		if ($data->username === $username) {
				$found = $data->userkey;
			}
  	}
  	
  	if(isset($found)) {
			return $found;
		} else return false;
		
	} // gibt Schlssel des Benutzernamens zurck
	
	function mail_login_data() {
	
		global $_LANG, $owners_email;
	
		$void = new profile();
		include $void->database;
		// mail forgotten password to user:
		mail(
			$profile[$this->username]->email,
			$this->username.": ".$_LANG['forgot_pwd'],
			"$_LANG[dfn_username]: ".$this->username."\n".
			"$_LANG[dfn_userpassword]: ".$this->userpass."\n",
			"From: ".$owners_email
		);
	}
	function language() {
	
		
		$void = new profile();
		include $void->database;
		// find out user language:
		if (isset($profile[$this->username])) {
			$lang = $profile[$this->username]->language!==""?$profile[$this->username]->language:C_LANG;
		}
		return $lang;
	}
	function has_profile() {
		
		$void = new profile();
		include $void->database;
		if(isset($profile[$this->username])) {
			return true;
		} else return false;
		
	}
	function add_user($username, $userpass) {
	
		if (strlen($userpass)<5) return false;
  	if ($userpass!==$_POST['passwortkopie']) return false;
  	
  	if ($this->check_username($username )) {
  		$last = end($this->data);
  		$userkey = $last->userkey + 1;
  		
  		$new_user = new login( $username, $userpass, $userkey);
  		$new_user->to_database();
  		return true;
  		
  	} else {
  		return false;
  	}
  	
	} // add a new user
	
	
	/* some functions for saving data to file
	   function to_database() is inherited from parent class */
	
	function processData () {
	
  	$ausgabe ="\$login[$this->userkey] = new login('$this->username', '$this->userpass', $this->userkey);\n";
		return $ausgabe;
		
  } 
  function rewriteData () {
  
  	$ausgabe = "<?php\n";
  	foreach ($this->data as $data) {
  		$ausgabe.=$this->processData();
  	}
  	$ausgabe.= "?".">";
  	if(file_put_contents($this->database,$ausgabe)) {
  		return true;
  	}
  }
}
class check extends login {
	
	// identify user:
	function check_user() {
		
	 @session_start();
	 global $_LANG, $owners_email;
 
	 if (isset($_SESSION["versuch"]) && $_SESSION["versuch"]>2) {
		return false;
	 }
 	
	 if (!isset($_POST["username"]) && !isset($_SESSION["auth"])) {
		return false;
 	}
 
 	if (isset($_GET["logout"]) || isset($logout) ) {
 
			$this->logout();
			return false;
		
	 }
 
 	if (isset($_POST["username"])) {
 
			if (!isset($_SESSION["versuch"])) {
			 $_SESSION["versuch"]=1;
			} else {
			 $_SESSION["versuch"]++;
			}
			if (!isset($_COOKIE[session_name()])) {
		 		return false;
			}
 	 
			$pwd  = trim($_POST["passwort"]);
			$user = trim($_POST["username"]);
			$pwd  = chop($pwd);
			$user = chop($user);


			if (strlen($user)<3) {
			 return false;
			}
			
			$user = str_replace(" ","&nbsp;",$user);
		
			$login = new login();	
			$login->load_data();
			
	  	$ok = false;
  
  		foreach ($login->data as $data) {
  		
	  		if ($data->username === $user) {
	  			if ($data->userpass === $pwd ) {
						$ok = true;
	 					$_SESSION["language"] = $data->language();
					} else if($_POST['Submit']===$_LANG['forgot_pwd']) {
					/*
						$void = new profile();
						include $void->database;
						// mail forgotten password to user:
						mail(
							$profile[$data->username]->email,
							"$user: ".$_LANG['forgot_pwd'],
							"$_LANG[dfn_username]: ".$data->username."\n".
							"$_LANG[dfn_userpassword]: ".$data->userpass."\n",
							"From: ".$owners_email
						);
						*/
						$data->mail_login_data();
						$this->logout();
						return false;
					}
				}
  		}
  
			if ($ok === true) {
			
	 			$_SESSION["auth"] = $user;
	 			if(LOG_HISTORY_USER == "on") {
	 				$this->auth_user_log($_SESSION["auth"]);
	 			}
	 			return true;
	 			
			} else {
	 			return false;
			}
			
	 	} else {
	 		if(LOG_HISTORY_USER == "on") {
	 			$this->auth_user_log($_SESSION["auth"]);
	 		}
  		return true;  
 		}
	}
	function logout() {
	 
			session_destroy();
			session_unset();
			unset($_SESSION);
			unset($_POST['username']);
			$_GET['logout'] = true;
			
	}
	// identify admin / owner / user with adminrights
	function check_super_user() {

	 	@session_start();
		include (_PATH."/data/config_data.php");
	
		if (!isset($_SESSION["auth"])) {
			return false;
		}
		if (!isset($_COOKIE[session_name()])) {
			return false;
		}
		if ($_SESSION["auth"] == "admin" || $_SESSION["auth"] == $owners_name)  {
			return true;
		}
		if($_SESSION["auth"] !== "admin" && $_SESSION["auth"] != $owners_name) {
		
			if(!isset($profile)) {
				include "data/profile_data.php";
			}
			if (!isset($profile[urlencode($_SESSION["auth"])])) {
				return false;
			}
			if($profile[urlencode($_SESSION["auth"])]->rights=="admin" ) {
				return true;
			}			
		} else {
 		return false;
	 }
	} 

	// write to logfile:
	function auth_user_log($auth_user,$file="data/logs/user/auth.log") {

  	$time = date("d.m.Y H:i:s", time());
  	//$referer = isset($HTTP_REFERER)?$HTTP_REFERER:$_SERVER["REDIRECT_URL"];
  	//$referer = isset($_GET['go'])?$_GET['go'].".php":"";
  	$addr  = isset($REMOTE_ADDR)?$REMOTE_ADDR:$_SERVER["REMOTE_ADDR"];
		if(!isset($QUERY_STRING) || is_empty($QUERY_STRING)) {
			$QUERY_STRING = to_string($_GET);
		}
  	$search = $QUERY_STRING;
		$entry = " $time, $search, $addr, $auth_user";
	
		if (file_exists($file)) {
  		$fp=fopen($file,"a");
  		flock($fp,2);
  		fputs($fp,"$entry\n");
			flock($fp,3);
			fclose($fp);
		
		} else if (!file_exists($file)) {
  		$fp=fopen($file,"w");
  		fputs($fp,"$entry\n");
  		fclose($fp);
		}

	} // end userLog

}


/************************** User-Profile Klasse *******************************/

	include_once ("profile.inc.php");

/******************************************************************************/

?>